MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023486Open CASCADE[OCCT] OCCT:Visualizationpublic2012-10-23 17:072014-01-03 12:39
Reportersan 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023486: Remove obsolete image manipulation classes
DescriptionIt makes sense to remove obsolete image manipulation classes, most of them have been replaced by FreeImage-based functionality.

1. AlienImage package.
The whole package to be removed carefully, some links to it might still remain.

2. Image package.
The following classes are to be removed:
Image_AveragePixelInterpolation
Image_BalancedPixelInterpolation
Image_BilinearPixelInterpolation
Image_ColorImage
Image_Convertor
Image_GImage
Image_GPixelField
Image_Image
Image_PixelInterpolation
Image_PlanarPixelInterpolation
Image_PseudoColorImage
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0022590closedkgv Open CASCADE Migration to FreeImage: revision of Xw and WNT packages 
related to 0022591closedkgv Open CASCADE Migration to FreeImage: texture management 
related to 0023885closeddbv Open CASCADE Inclusion of X11 header should be protected with macro 
related to 0024511closedbugmaster Community Remove obsolete Image_PixelAddress.cxx 

-  Notes
(0023379)
kgv (developer)
2013-02-19 10:27

AlienImage package since to be no more in use by active functionality of OCCT.
(0024228)
kgv (developer)
2013-04-20 11:27

Patch is ready for review in CR23486 branch.
(0024300)
san (developer)
2013-04-30 12:37

Branch CR23486 reviewed without remarks, ready for testing.
(0024333)
apn (administrator)
2013-05-08 12:48
edited on: 2013-05-08 13:12

Dear BugMaster,

Branch CR23486 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 29eaabd5dd2a2172abbac5514a92fc009f4612fd

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365119760 / 366120428
Total CPU difference: 43577.77000000157 / 43868.170000001046

Testing on Windows:
Total MEMORY difference: 417150296 / 421394484
Total CPU difference: 38828.140625 / 32294.8125

There are not serious differences in images found by testdiff.


- Related Changesets
occt: master 2361d7e8
Timestamp: 2013-04-20 07:25:18
Author: kgv
Details ] Diff ]
0023486: Remove obsolete image manipulation classes

Remove AlienImage package. Clean up Image package.
mod - adm/UDLIST Diff ] File ]
mod - src/AIS/AIS_TexturedShape.cdl Diff ] File ]
rm - src/AlienImage/AlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_AidaAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_AidaAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_AidaAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_AidaAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_AlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_AlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_AlienImageData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_AlienImageData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_AlienUserImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_AlienUserImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_BMPAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_BMPAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_BMPAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_BMPAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_BMPHeader.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_BMPHeader.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_EuclidAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_EuclidAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_EuclidAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_EuclidAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_GIFAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_GIFAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_GIFAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_GIFAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_GIFLZWDict.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_GIFLZWDict.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_MemoryOperations.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_MemoryOperations.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBFileHeader.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SGIRGBFileHeader.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_SunRFAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_SunRFAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SunRFAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_SunRFAlienImage.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SUNRFFileHeader.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_SUNRFFileHeader.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_X11XColor.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_X11XColor.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_X11XWDAlienData.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_X11XWDAlienData.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_X11XWDFileHeader.cxx Diff ] File ]
rm - src/AlienImage/AlienImage_X11XWDFileHeader.hxx Diff ] File ]
rm - src/AlienImage/AlienImage_XAlienImage.cdl Diff ] File ]
rm - src/AlienImage/AlienImage_XAlienImage.cxx Diff ] File ]
rm - src/AlienImage/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/Image/FILES Diff ] File ]
mod - src/Image/Image.cdl Diff ] File ]
rm - src/Image/Image.cxx Diff ] File ]
rm - src/Image/Image.edl Diff ] File ]
mod - src/Image/Image_AlienPixMap.hxx Diff ] File ]
rm - src/Image/Image_AveragePixelInterpolation.cdl Diff ] File ]
rm - src/Image/Image_AveragePixelInterpolation.cxx Diff ] File ]
rm - src/Image/Image_BalancedPixelInterpolation.cdl Diff ] File ]
rm - src/Image/Image_BalancedPixelInterpolation.cxx Diff ] File ]
rm - src/Image/Image_BilinearPixelInterpolation.cdl Diff ] File ]
rm - src/Image/Image_BilinearPixelInterpolation.cxx Diff ] File ]
rm - src/Image/Image_CMPLRS.edl Diff ] File ]
rm - src/Image/Image_ColorImage.cdl Diff ] File ]
rm - src/Image/Image_ColorImage.cxx Diff ] File ]
rm - src/Image/Image_Convertor.cdl Diff ] File ]
rm - src/Image/Image_Convertor.cxx Diff ] File ]
rm - src/Image/Image_GImage.cdl Diff ] File ]
rm - src/Image/Image_GImage.gxx Diff ] File ]
rm - src/Image/Image_GPixelField.cdl Diff ] File ]
rm - src/Image/Image_GPixelField.gxx Diff ] File ]
rm - src/Image/Image_GPixelField.lxx Diff ] File ]
rm - src/Image/Image_Image.cdl Diff ] File ]
rm - src/Image/Image_Image.cxx Diff ] File ]
rm - src/Image/Image_PixelAddress.hxx Diff ] File ]
rm - src/Image/Image_PixelInterpolation.cdl Diff ] File ]
rm - src/Image/Image_PixelInterpolation.cxx Diff ] File ]
rm - src/Image/Image_PlanarPixelInterpolation.cdl Diff ] File ]
rm - src/Image/Image_PlanarPixelInterpolation.cxx Diff ] File ]
rm - src/Image/Image_PseudoColorImage.cdl Diff ] File ]
rm - src/Image/Image_PseudoColorImage.cxx Diff ] File ]
mod - src/MeshVS/MeshVS.cdl Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/TKService/PACKAGES Diff ] File ]
mod - src/V3d/V3d_View.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-23 17:07 san New Issue
2012-10-23 17:07 san Assigned To => san
2012-10-23 17:09 san Relationship added related to 0022590
2012-10-23 17:15 san Relationship added related to 0022591
2012-10-24 15:40 abv Target Version => 6.6.0
2013-02-19 10:26 kgv Assigned To san => dbv
2013-02-19 10:27 kgv Note Added: 0023379
2013-02-26 18:30 san Target Version 6.6.0 => 6.7.0
2013-04-08 10:36 dbv Relationship added related to 0023885
2013-04-20 11:27 kgv Assigned To dbv => kgv
2013-04-20 11:27 kgv Status new => assigned
2013-04-20 11:27 kgv Note Added: 0024228
2013-04-20 11:27 kgv Assigned To kgv => san
2013-04-20 11:27 kgv Status assigned => resolved
2013-04-30 12:37 san Note Added: 0024300
2013-04-30 12:37 san Assigned To san => bugmaster
2013-04-30 12:37 san Status resolved => reviewed
2013-05-08 12:48 apn Note Added: 0024333
2013-05-08 12:49 apn Test case number => Not needed
2013-05-08 12:49 apn Status reviewed => tested
2013-05-08 13:12 apn Note Edited: 0024333 View Revisions
2013-05-08 14:04 apn Note Added: 0024340
2013-05-08 14:05 apn Note Edited: 0024340 View Revisions
2013-05-08 14:05 apn Note Deleted: 0024340
2013-05-20 10:56 kgv Changeset attached => occt master 2361d7e8
2013-05-20 10:56 kgv Assigned To bugmaster => kgv
2013-05-20 10:56 kgv Status tested => verified
2013-05-20 10:56 kgv Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0
2014-01-03 12:39 kgv Relationship added related to 0024511


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker